Techdraw script

In diesem Forum Fragen und Diskussionen in Deutsch
Forum rules
Foren-Regeln und hilfreiche Informationen

WICHTIG: Bitte zuerst lesen, bevor Sie posten
wafi
Posts: 73
Joined: Sat Oct 15, 2016 8:45 am

Techdraw script

Postby wafi » Sat Oct 05, 2019 7:07 pm

Moin,
ich steh mal wieder auf dem Schlauch.

In einem script sollen mehrere Objekte 2D mittels Techdraw dargestellt werden. Mein Problem ist dabei, dass ich es nicht schaffe alle Objekte zu markieren, entweder um die direkt auf die Page zu bringen oder zunächst als Gruppe oder Part zusammen zu fassen. Also eigentlich ganz einfach, markiere alle Objekte ... nur irgendwie fehlt mir der Befehl für ein script.

Gruß
Peter
wafi
Posts: 73
Joined: Sat Oct 15, 2016 8:45 am

Re: Techdraw script

Postby wafi » Sun Oct 06, 2019 9:09 am

so, Schlauch ist weg ...
geht scheinbar nicht mit dem Befehl Std_SelectAll so wie kolportiert, sondern nur mit einem Umweg. Hab jetzt einen Code snipsel gefunden, damit geht es dann:

Code: Select all

for obj in FreeCAD.ActiveDocument.Objects:
    objName = obj.Name
    obj = App.ActiveDocument.getObject(objName)
    Gui.Selection.addSelection(obj)